Bug 1031723 - npm modules installed on a nodejs application are not displayed
npm modules installed on a nodejs application are not displayed
Status: CLOSED CANTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
2.0.0
All All
medium Severity medium
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On: 1031718 1031725
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 10:43 EST by Nikhil Mone
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1031718
Environment:
Last Closed: 2014-03-25 11:03:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikhil Mone 2013-11-18 10:43:10 EST
+++ This bug was initially created as a clone of Bug #1031718 +++

Description of problem: npm modules installed on a nodejs application are not shown at 'npm ls' or 'npm ls --json'


Version-Release number of selected component (if applicable):


How reproducible:

Everytime

Steps to Reproduce:

1. Create a nodejs application
2. add a dependency/dependencies in "package.json". For eg :

    "dependencies": {
        "yo": "1.x.x",
        "compass": "0.x",
        "bower": "1.x"
    },

3. git add>commit>push, the output shows npm modules are installed.
4. ssh to the application and run 'npm ls --json' or 'npm ls' it does not return the installed npm modules.

Actual results:

ssh to the application and run 'npm ls --json' or 'npm ls' it does not return the installed npm modules.

Expected results:

It should list the installed npm modules

Additional info:

Note You need to log in before you can comment on or make changes to this bug.